> This page is for Small Business.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ntrs.ferndocs.com/small-businesses/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ntrs.ferndocs.com/small-businesses/_mcp/server.

# Submit a payroll run

POST https://api-northern-trust.postman-solutions.com/payroll
Content-Type: application/json

Reference: https://ntrs.ferndocs.com/small-businesses/small-business/api-reference/small-business-api/payroll/submit-payroll

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api-northern-trust.postman-solutions.com` (Production, default)
- `https://sandbox-northern-trust.postman-solutions.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a SubmitPayrollRequest.

- `fromAccountId` (string, required) — The account to fund payroll from.
- `payDate` (date, required) — Date employees should receive funds (YYYY-MM-DD).
- `employees` (list of EmployeePayment, required) — List of employee disbursements.

## Response

### 201

The payroll run was successfully submitted.

- `id` (string, required) — Unique identifier for the payroll run.
- `status` (enum, required) — Current status of the payroll run.
  - Allowed values: `pending`, `processing`, `completed`, `failed`
- `totalAmount` (double, required) — Total amount disbursed across all employees.
- `employeeCount` (integer, required) — Number of employees in this payroll run.
- `createdAt` (datetime, required) — Timestamp when the payroll run was submitted.

## Types

### EmployeePayment

- `employeeId` (string, required) — Your internal employee identifier.
- `routingNumber` (string, required) — Employee's bank routing number.
- `accountNumber` (string, required) — Employee's bank account number.
- `amount` (double, required) — Net pay amount in USD.

## Examples

**Request**

```json
{
  "fromAccountId": "string",
  "payDate": "2023-01-15",
  "employees": [
    {
      "employeeId": "string",
      "routingNumber": "string",
      "accountNumber": "string",
      "amount": 1.1
    }
  ]
}
```

**Response**

```json
{
  "id": "string",
  "status": "pending",
  "totalAmount": 1.1,
  "employeeCount": 1,
  "createdAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api-northern-trust.postman-solutions.com/payroll"

payload = {
    "fromAccountId": "string",
    "payDate": "2023-01-15",
    "employees": [
        {
            "employeeId": "string",
            "routingNumber": "string",
            "accountNumber": "string",
            "amount": 1.1
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-northern-trust.postman-solutions.com/payroll';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"fromAccountId":"string","payDate":"2023-01-15","employees":[{"employeeId":"string","routingNumber":"string","accountNumber":"string","amount":1.1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-northern-trust.postman-solutions.com/payroll"

	payload := strings.NewReader("{\n  \"fromAccountId\": \"string\",\n  \"payDate\": \"2023-01-15\",\n  \"employees\": [\n    {\n      \"employeeId\": \"string\",\n      \"routingNumber\": \"string\",\n      \"accountNumber\": \"string\",\n      \"amount\": 1.1\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-northern-trust.postman-solutions.com/payroll")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fromAccountId\": \"string\",\n  \"payDate\": \"2023-01-15\",\n  \"employees\": [\n    {\n      \"employeeId\": \"string\",\n      \"routingNumber\": \"string\",\n      \"accountNumber\": \"string\",\n      \"amount\": 1.1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-northern-trust.postman-solutions.com/payroll")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fromAccountId\": \"string\",\n  \"payDate\": \"2023-01-15\",\n  \"employees\": [\n    {\n      \"employeeId\": \"string\",\n      \"routingNumber\": \"string\",\n      \"accountNumber\": \"string\",\n      \"amount\": 1.1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-northern-trust.postman-solutions.com/payroll', [
  'body' => '{
  "fromAccountId": "string",
  "payDate": "2023-01-15",
  "employees": [
    {
      "employeeId": "string",
      "routingNumber": "string",
      "accountNumber": "string",
      "amount": 1.1
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-northern-trust.postman-solutions.com/payroll");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fromAccountId\": \"string\",\n  \"payDate\": \"2023-01-15\",\n  \"employees\": [\n    {\n      \"employeeId\": \"string\",\n      \"routingNumber\": \"string\",\n      \"accountNumber\": \"string\",\n      \"amount\": 1.1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fromAccountId": "string",
  "payDate": "2023-01-15",
  "employees": [
    [
      "employeeId": "string",
      "routingNumber": "string",
      "accountNumber": "string",
      "amount": 1.1
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-northern-trust.postman-solutions.com/payroll")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```